OVIRO LogoOVIRO
WMS - InventoryLịch sử nhập/xuất theo Serial/IMEI

Cập nhật bản ghi Serial/IMEI

Cập nhật thông tin một bản ghi lịch sử nhập/xuất theo Serial/IMEI

Endpoint

PUT /v1/productreceiptdetailserials/:id

Quyền: inventory.view

Path Parameters

TênKiểuBắt buộcMô tả
idintID bản ghi Serial/IMEI cần cập nhật

Request Payload

JSON Object Payload:

{
    "product_receipt_id": 200,
    "product_receipt_detail_id": 300,
    "product_id": 50,
    "product_variant_id": 75,
    "warehouse_id": 1,
    "direction": 3,
    "quantity": 1,
    "quantity_signed": 1,
    "serial_code": "IMEI-352789104562831",
    "match_status": 3,
    "match_origin_id": 10,
    "status": 1,
    "note": "Đã đối soát thành công",
    "date_match_checked": 1717286400
}

Lưu ý: Khi cập nhật, trường direction không bị validate lại (khác với khi thêm mới). Các trường company_idcreator_id không thể thay đổi sau khi tạo.

Response Schema

HTTP 200 - JSON Object

Xem ProductReceiptDetailSerial Object Schema.

Error Codes

HTTPCodeMô tả
404(dynamic)Không tìm thấy bản ghi với ID được cung cấp
422error_serial_code_requiredMã Serial/IMEI không được để trống
422error_status_not_existGiá trị trạng thái không hợp lệ
500(dynamic)Lỗi hệ thống

On this page